import { get, put, post, deletes } from '@/http/index'

// 查询飞行分解任务列表
export const getFlightSplitask = async (data) => {
  return await get('/als/flightSplitask/list', data)
}

// 新增飞行分解任务
export const addFlightSplitask = async (data) => {
  return await post('/als/flightSplitask', data)
}

// 修改飞行分解任务
export const updateFlightSplitask = async (data) => {
  return await put('/als/flightSplitask', data)
}

// 删除飞行分解任务
export const removeFlightSplitask = async (id) => {
  return await deletes('/als/flightSplitask/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
